=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# Uncomment this to change the hardening options
devi := $(shell lsb_release -r -s | cut -d '.'  -f1)
ifeq ($(shell if [ $(devi) -gt 7 ] ; then echo gt ; else echo lt ; fi),gt)
   DEBVE2=yes
else
   DEBVE2=no
endif

OLDER=$(shell lsb_release -c -s | cut -d '.'  -f1)

LCFLAGSB=$(shell dpkg-buildflags --get CFLAGS)
LCPFLAGSB=$(shell dpkg-buildflags --get CPPFLAGS)

DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
OPTI_FLAGS_LIBONLY := -fomit-frame-pointer 
### PICCORO optimizer flags for i386 x86 machines
ifeq ($(DEB_HOST_ARCH),i386)
 ifeq ($(OLDER),wheezy)
    OPTI_FLAGS_LIBONLY += -march=i586 -mtune=generic -mmmx -g1
    LCFLAGSB=$(shell dpkg-buildflags --get CFLAGS) -g1
    LCPFLAGSB=$(shell dpkg-buildflags --get CPPFLAGS) -g1
 else
    OPTI_FLAGS_LIBONLY += -march=i686 -mtune=generic -mmmx -msse
 endif
else
ifeq ($(DEB_HOST_ARCH),i486)
 ifeq ($(OLDER),wheezy)
    OPTI_FLAGS_LIBONLY += -march=i586 -mtune=generic -mmmx -g1
    LCFLAGSB=$(shell dpkg-buildflags --get CFLAGS) -g1
    LCPFLAGSB=$(shell dpkg-buildflags --get CPPFLAGS) -g1
 else
    OPTI_FLAGS_LIBONLY += -march=i686 -mtune=generic -mmmx -msse
 endif
endif
endif

ifeq ($(DEB_HOST_ARCH),amd64)
    OPTI_FLAGS_LIBONLY += -mmmx -msse -msse2
endif

ifeq ($(OLDER),wheezy)
 ifeq ($(DEB_HOST_ARCH),amd64)
  export DEB_BUILD_MAINT_OPTIONS = hardening=-pie,+format,+fortify,+stackprotector,+bindnow,+relro
 else
  export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 endif
else
 ifeq ($(OLDER),jessie)
 ifeq ($(DEB_HOST_ARCH),amd64)
export DEB_BUILD_MAINT_OPTIONS = hardening=-pie,+format,+fortify,+stackprotector,+bindnow,+relro
 else
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 endif
 else
  export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 endif
endif

%:
	dh $@ --buildsystem=autoconf --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-distro \
		--enable-pkcs11 \
		--enable-tls13 \
		--enable-base64encode \
		--disable-examples \
		--disable-silent-rules

override_dh_installexamples:
	dh_installexamples --exclude .vcproj --exclude .vcxproj --exclude .sln
