=== debian/changelog ===
wolfssl (4.6.0+p1-0+deb11u2) bullseye; urgency=medium

  * Stable update for the following vulnerabilities. The patches were
    provided by upstream.
    - PR 5498: CVE-2022-42961 (Rowhammer ECDSA key disclosure)
    - PR 5588: CVE-2022-39173 (buffer overflow during TLS 1.3 handshake)
    - PR 5682: CVE-2022-42905 (buffer over-read on heap with WOLFSSL_CALLBACKS)
    - PR 6412: CVE-2023-3724 (predictable buffer in input keying material)

 -- Jacob Barthelmeh <sirkilamole@msn.com>  Sat, 22 Jul 2023 10:08:27 -0600

wolfssl (4.6.0+p1-0+deb11u1) bullseye; urgency=medium

  * Stable update to address the following vulnerabilities. The updated
    version was released by upstream:
    - PR 3676: CVE-2021-3336
    - PR 3990: CVE-2021-37155 (OCSP Match Issue)
    - PR 4211: CVE-2021-38597
    - PR 4629: CVE-2021-44718
    - PR 4813: CVE-2022-25638
    - PR 4831: CVE-2022-25640
  * Drop 58f9b6ec01f0caf89e9e4d37a8816b310005aaf1.patch, which was previously
    cherry-picked from upstream. 
  * Upstream updated some certificates in the test suite.

 -- Felix Lechner <felix.lechner@lease-up.com>  Thu, 17 Mar 2022 14:47:46 -0700
