=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: wolfssl
 Priority: optional
 Maintainer: Felix Lechner <felix.lechner@lease-up.com>
-Build-Depends: dh-autoreconf | debhelper (>= 11), lsb-release,
- debhelper (>= 9),
+Build-Depends:
+ debhelper-compat (= 13),
  libpcap0.8-dev,
- openssl, cmake
+ openssl
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Section: libs
