=== debian/changelog ===
wolfssl (5.2.0-2) unstable; urgency=medium

  * Source-only upload for migration to testing.
  * Add Build-Depends-Package back to symbols file.
  * Fix Debian copyright.

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 22 Feb 2022 15:32:39 -0800

wolfssl (5.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump SONAME version to 32.
  * Update symbols file.

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 22 Feb 2022 00:10:47 -0800

wolfssl (5.1.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1004181)
  * Fixes CVE-2022-23408: "non-random IV values in certain situations"

 -- Felix Lechner <felix.lechner@lease-up.com>  Thu, 10 Feb 2022 10:35:24 -0800

wolfssl (5.0.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #995820)
  * Fixes CVE-2021-24116. (Closes: #991663)
  * Fixes CVE-2021-38597. (Closes: #992174)
  * Fixes CVE-2021-37155. (Closes: #991443)
  * Adjust packaging to new soname version 30.
  * Update shared object symbols.
  * Drop explicit build options from d/rules for those now enabled by default
    in configure.ac.
  * Drop comments that some files were excluded; now we track upstream in full.
  * Adjust d/copyright to new file paths; update copyright years.
  * Drop cherry-picked commit and patches accepted upstream; rebase remaining
    patches.
  * Update d/watch for Github's new download URLs.
  * Provide an upstream metadata file.
  * Mark one patch as unsuitable for inclusion upstream.
  * Bump Standards-Version to 4.6.0.

 -- Felix Lechner <felix.lechner@lease-up.com>  Sun, 07 Nov 2021 12:12:53 -0800
