=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
  debhelper-compat (= 13),
  libpcap0.8-dev,
  openssl
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: libs
 Vcs-Git: https://salsa.debian.org/lechner/wolfssl.git -b debian/master
 Vcs-Browser: https://salsa.debian.org/lechner/wolfssl
 Homepage: https://www.wolfssl.com/products/wolfssl/
 
-Package: libwolfssl24
+Package: libwolfssl32
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -38,7 +38,7 @@
 Architecture: any
 Multi-Arch: no
 Depends:
- libwolfssl24 (= ${binary:Version}),
+ libwolfssl32 (= ${binary:Version}),
  ${misc:Depends}
 Description: Development files for the wolfSSL encryption library
  wolfSSL is a small, portable, embedded SSL/TLS programming library
