=== debian/changelog ===
wolfssl (5.5.4-2+deb12u2) bookworm; urgency=medium

  * Stable update to address the following vulnerabilities:
    - Fix CVE-2025-7394. (Closes: #1109549)

 -- Bastian Germann <bage@debian.org>  Mon, 11 Aug 2025 10:16:46 +0200

wolfssl (5.5.4-2+deb12u1) bookworm; urgency=medium

  * Stable update to address the following vulnerabilities:
    - Fix CVE-2023-3724. (see #1041699)

 -- Bastian Germann <bage@debian.org>  Mon, 23 Oct 2023 17:46:16 +0000

wolfssl (5.5.4-2) unstable; urgency=medium

  * Clarify in README.Debian and in the package descriptions that wolfssl is
    only for packages that cannot use openssl. (Closes: #1023697)
  * Drop d/salsa-ci.yml. (Closes: #1030634) 

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 06 Feb 2023 06:41:53 -0800

wolfssl (5.5.4-1) unstable; urgency=medium

  [Jacob Barthelmeh]
  * New upstream release.
  * Updated symbols file.

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 27 Dec 2022 14:10:00 -0700

wolfssl (5.5.3-3) unstable; urgency=medium

  * Mark all three cpuid_* symbols as "optional" per dpkg-gensymbols(1).
    Thanks to Bastian Germann for the suggestion. (Closes: #1023835)

 -- Felix Lechner <felix.lechner@lease-up.com>  Fri, 11 Nov 2022 06:40:00 -0800

wolfssl (5.5.3-2) unstable; urgency=medium

  * Source-only upload (for propagation to testing).

 -- Felix Lechner <felix.lechner@lease-up.com>  Thu, 10 Nov 2022 11:25:10 -0800

wolfssl (5.5.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #1014867, #1016981, #1021021, #1023574)
  * Fixes CVE-2022-34293, CVE-2022-38152, CVE-2022-38153, CVE-2022-39173,
    CVE-2022-42961
  * Bump SONAME version to 35.
  * Update symbols file.
  * Drop patch turn-off-fastmath-for-amd64.patch; now using sp-math
    everywhere.
  * Ship docs/QUIC.md with the development files.
  * Bump Standards-Version to 4.6.1.
  * Drop Vcs-Git and Vcs-Browser; upstream releases often do not share a
    common history, especially for security releases fixing vulnerabilities.
  * Fix watch file to look at tags instead of releases.
  * Add Jacob Barthelmeh as Maintainer and move self into Uploaders.

 -- Jacob Barthelmeh <sirkilamole@msn.com>  Wed, 9 Nov 2022 16:10:39 -0800
