=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: wolfssl
 Priority: optional
-Maintainer: Felix Lechner <felix.lechner@lease-up.com>
+Maintainer: Jacob Barthelmeh <sirkilamole@msn.com>
+Uploaders: Felix Lechner <felix.lechner@lease-up.com>
 Build-Depends:
  debhelper-compat (= 13),
  libpcap0.8-dev,
  openssl
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Section: libs
-Vcs-Git: https://salsa.debian.org/lechner/wolfssl.git -b debian/master
-Vcs-Browser: https://salsa.debian.org/lechner/wolfssl
 Homepage: https://www.wolfssl.com/products/wolfssl/
 
-Package: libwolfssl32
+Package: libwolfssl35
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -32,13 +31,17 @@
  .
  wolfSSL also includes an OpenSSL compatibility interface with the
  most commonly used OpenSSL functions.
+ .
+ wolfSSL is solely provided as an alternative to OpenSSL for
+ packages whose licenses are incompatible to Apache 2.0. For details,
+ please see Bug#1023697.
 
 Package: libwolfssl-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: no
 Depends:
- libwolfssl32 (= ${binary:Version}),
+ libwolfssl35 (= ${binary:Version}),
  ${misc:Depends}
 Description: Development files for the wolfSSL encryption library
  wolfSSL is a small, portable, embedded SSL/TLS programming library
@@ -55,3 +58,8 @@
  most commonly used OpenSSL functions.
  .
  This package contains the development files.
+ .
+ wolfSSL is solely provided as an alternative to OpenSSL for
+ packages whose licenses are incompatible to Apache 2.0. For details,
+ please see Bug#1023697.
+
