=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,6 @@
 	dh_auto_configure -- \
 		--enable-distro \
 		--enable-pkcs11 \
-		--enable-tls13 \
-		--enable-base64encode \
 		--disable-examples \
 		--disable-silent-rules
