=== debian/changelog ===
wolfssl (5.6.6-1.3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:43:21 +1100

wolfssl (5.6.6-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063072

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 02:37:17 +0000

wolfssl (5.6.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Reupload to unstable.

 -- Bastian Germann <bage@debian.org>  Wed, 27 Dec 2023 23:17:32 +0100

wolfssl (5.6.6-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Enable old TLS because sip-tester needs 1.1.

 -- Bastian Germann <bage@debian.org>  Sat, 23 Dec 2023 00:40:35 +0000

wolfssl (5.6.6-1) experimental; urgency=medium

  * New upstream release.
  * Fix for CVE-2023-6937.
  * Fix for CVE-2023-6936.
  * Fix for CVE-2023-6935.
  * Drop Felix from Uploaders. (Closes: #1057340)

 -- Jacob Barthelmeh <sirkilamole@msn.com>  Thu, 21 Dec 2023 10:50:41 -0700

wolfssl (5.6.4-2) unstable; urgency=medium

  * Move to unstable.

 -- Jacob Barthelmeh <sirkilamole@msn.com>  Sat, 11 Nov 2023 00:03:50 +0100

wolfssl (5.6.4-1) experimental; urgency=medium

  * New upstream release.
  * Drop upstream patch.

 -- Jacob Barthelmeh <sirkilamole@msn.com>  Thu, 02 Nov 2023 15:30:14 -0600

wolfssl (5.5.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix CVE-2023-3724. (see #1041699)

 -- Bastian Germann <bage@debian.org>  Mon, 23 Oct 2023 17:46:16 +0000
