=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: wolfssl
 Priority: optional
-Maintainer: Jacob Barthelmeh <sirkilamole@msn.com>
-Uploaders: Felix Lechner <felix.lechner@lease-up.com>
-Build-Depends:
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jacob Barthelmeh <sirkilamole@msn.com>
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  libpcap0.8-dev,
  openssl
@@ -11,7 +11,10 @@
 Section: libs
 Homepage: https://www.wolfssl.com/products/wolfssl/
 
-Package: libwolfssl35
+Package: libwolfssl42t64
+Provides: ${t64:Provides}
+Replaces: libwolfssl42
+Breaks: libwolfssl42 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -41,7 +44,7 @@
 Architecture: any
 Multi-Arch: no
 Depends:
- libwolfssl35 (= ${binary:Version}),
+ libwolfssl42t64 (= ${binary:Version}),
  ${misc:Depends}
 Description: Development files for the wolfSSL encryption library
  wolfSSL is a small, portable, embedded SSL/TLS programming library
@@ -49,7 +52,7 @@
  known as CyaSSL.
  .
  It is an open source, dual licensed implementation of SSL/TLS
- (SSL 3.0, TLS 1.0, 1.1, 1.2, 1.3, DTLS 1.0 and 1.2) written in the C
+ (SSL 3.0, TLS 1.0, 1.1, 1.2, 1.3, DTLS 1.0, 1.2 and 1.3) written in the C
  language.  wolfSSL includes both a client and server implementation,
  progressive cipher support, key and certificate generation, OCSP
  and CRL, access to the underlying cryptography modules, and more.
@@ -62,4 +65,3 @@
  wolfSSL is solely provided as an alternative to OpenSSL for
  packages whose licenses are incompatible to Apache 2.0. For details,
  please see Bug#1023697.
-
