## wolfssl 5.7.0

=== debian/changelog ===
wolfssl (5.7.0-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove accidentally inserted symbol characters.

 -- Bastian Germann <bage@debian.org>  Fri, 03 May 2024 09:13:13 +0200

wolfssl (5.7.0-0.2) experimental; urgency=medium

  * Non-maintainer upload.
  * Mask cpuid symbols for amd64 only.

 -- Bastian Germann <bage@debian.org>  Thu, 02 May 2024 22:24:20 +0000

wolfssl (5.7.0-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release.

 -- Bastian Germann <bage@debian.org>  Mon, 08 Apr 2024 18:05:09 +0200
